CREATE OR REPLACE TYPE HeaderObject AS OBJECT (
		order_type_id		 NUMBER,
		sold_to_org_id		 NUMBER,
		ship_to_org_id	         NUMBER,
		transactional_curr_code  VARCHAR2(20),
		order_source_id		 NUMBER,
		org_id			 NUMBER,
		ship_from_org_id         NUMBER,
		payment_term_id		 NUMBER );



CREATE OR REPLACE TYPE LineObject AS OBJECT (
 
		inventory_item_id	NUMBER,
		ordered_quantity	NUMBER,
		pricing_quantity	NUMBER,
		line_type_id		NUMBER,
		line_number		NUMBER,
		shipment_number		NUMBER,
		ship_to_org_id		NUMBER,
		sold_to_org_id		NUMBER,
		salesrep_id		NUMBER,
		payment_term_id		NUMBER );


CREATE OR REPLACE TYPE arrayLines AS VARRAY (5) OF LineObject;


Note: We have used VARRAY(5) for demo. This can be extended to more 'n' no. of lines. Kindly do the necessary changes while creating array object.
