create or replace PROCEDURE PROC_ORDERENTRY_ARRAY(
arg_in_p_header_rec 		IN  HeaderObject,
arg_in_p_line_tbl		IN  arrayLines,
arg_out_x_return_status		OUT VARCHAR2,	
arg_out_order_number		OUT NUMBER,
arg_out_header_id		OUT NUMBER,
arg_out_flow_status_code	OUT VARCHAR2
) AS
	p_api_version_number		NUMBER;		
	x_return_status              	VARCHAR2(2);
	x_msg_count                  	NUMBER;
	x_msg_data                   	VARCHAR2(2000);
	v_msg_data			VARCHAR2(8000);
	v_msg_index_out			NUMBER(10);
	p_header_rec                 	OE_ORDER_PUB.HEADER_REC_TYPE;
	p_old_header_rec             	OE_ORDER_PUB.HEADER_REC_TYPE;
	p_header_val_rec             	OE_ORDER_PUB.Header_Val_Rec_Type;
	p_old_header_val_rec         	OE_ORDER_PUB.Header_Val_Rec_Type;
	p_Header_Adj_tbl             	OE_ORDER_PUB.Header_Adj_Tbl_Type;
	p_old_Header_Adj_tbl         	OE_ORDER_PUB.Header_Adj_Tbl_Type;
	p_Header_Adj_val_tbl       	OE_ORDER_PUB.Header_Adj_Val_Tbl_Type;
	p_old_Header_Adj_val_tbl     	OE_ORDER_PUB.Header_Adj_Val_Tbl_Type;
	p_Header_price_Att_tbl       	OE_ORDER_PUB.Header_Price_Att_Tbl_Type;
	p_old_Header_Price_Att_tbl   	OE_ORDER_PUB.Header_Price_Att_Tbl_Type;
	p_Header_Adj_Att_tbl         	OE_ORDER_PUB.Header_Adj_Att_Tbl_Type;
	p_old_Header_Adj_Att_tbl     	OE_ORDER_PUB.Header_Adj_Att_Tbl_Type;
	p_Header_Adj_Assoc_tbl       	OE_ORDER_PUB.Header_Adj_Assoc_Tbl_Type;
	p_old_Header_Adj_Assoc_tbl   	OE_ORDER_PUB.Header_Adj_Assoc_Tbl_Type;
	p_Header_Scredit_tbl         	OE_ORDER_PUB.Header_Scredit_Tbl_Type;
	p_old_Header_Scredit_tbl     	OE_ORDER_PUB.Header_Scredit_Tbl_Type;
	p_Header_Scredit_val_tbl     	OE_ORDER_PUB.Header_Scredit_Val_Tbl_Type;
	p_old_Header_Scredit_val_tbl 	OE_ORDER_PUB.Header_Scredit_Val_Tbl_Type;
	p_line_tbl                  	OE_ORDER_PUB.Line_Tbl_Type;
	p_old_line_tbl               	OE_ORDER_PUB.Line_Tbl_Type;
	p_line_val_tbl               	OE_ORDER_PUB.Line_Val_Tbl_Type;
	p_old_line_val_tbl           	OE_ORDER_PUB.Line_Val_Tbl_Type;
	p_Line_Adj_tbl               	OE_ORDER_PUB.Line_Adj_Tbl_Type;
	p_old_Line_Adj_tbl           	OE_ORDER_PUB.Line_Adj_Tbl_Type;
	p_Line_Adj_val_tbl           	OE_ORDER_PUB.Line_Adj_Val_Tbl_Type;
	p_old_Line_Adj_val_tbl       	OE_ORDER_PUB.Line_Adj_Val_Tbl_Type;
	p_Line_price_Att_tbl         	OE_ORDER_PUB.Line_Price_Att_Tbl_Type;
	p_old_Line_Price_Att_tbl     	OE_ORDER_PUB.Line_Price_Att_Tbl_Type;
	p_Line_Adj_Att_tbl           	OE_ORDER_PUB.Line_Adj_Att_Tbl_Type;
	p_old_Line_Adj_Att_tbl       	OE_ORDER_PUB.Line_Adj_Att_Tbl_Type;
	p_Line_Adj_Assoc_tbl         	OE_ORDER_PUB.Line_Adj_Assoc_Tbl_Type;
	p_old_Line_Adj_Assoc_tbl     	OE_ORDER_PUB.Line_Adj_Assoc_Tbl_Type;
	p_Line_Scredit_tbl           	OE_ORDER_PUB.Line_Scredit_Tbl_Type;
	p_old_Line_Scredit_tbl       	OE_ORDER_PUB.Line_Scredit_Tbl_Type;
	p_Line_Scredit_val_tbl       	OE_ORDER_PUB.Line_Scredit_Val_Tbl_Type;
	p_old_Line_Scredit_val_tbl   	OE_ORDER_PUB.Line_Scredit_Val_Tbl_Type;
	p_Lot_Serial_tbl             	OE_ORDER_PUB.Lot_Serial_Tbl_Type;
	p_old_Lot_Serial_tbl         	OE_ORDER_PUB.Lot_Serial_Tbl_Type;
	p_Lot_Serial_val_tbl         	OE_ORDER_PUB.Lot_Serial_Val_Tbl_Type;
	p_old_Lot_Serial_val_tbl     	OE_ORDER_PUB.Lot_Serial_Val_Tbl_Type;
	p_action_request_tbl         	OE_ORDER_PUB.Request_Tbl_Type;
	x_header_rec                    OE_ORDER_PUB.Header_Rec_Type;
	x_header_val_rec                OE_ORDER_PUB.Header_Val_Rec_Type;
	x_Header_Adj_tbl                OE_ORDER_PUB.Header_Adj_Tbl_Type;
	x_Header_Adj_val_tbl            OE_ORDER_PUB.Header_Adj_Val_Tbl_Type;
	x_Header_price_Att_tbl          OE_ORDER_PUB.Header_Price_Att_Tbl_Type;
	x_Header_Adj_Att_tbl            OE_ORDER_PUB.Header_Adj_Att_Tbl_Type;
	x_Header_Adj_Assoc_tbl          OE_ORDER_PUB.Header_Adj_Assoc_Tbl_Type;
	x_Header_Scredit_tbl            OE_ORDER_PUB.Header_Scredit_Tbl_Type;
	x_Header_Scredit_val_tbl        OE_ORDER_PUB.Header_Scredit_Val_Tbl_Type;
	x_line_tbl                      OE_ORDER_PUB.Line_Tbl_Type;
	x_line_val_tbl                  OE_ORDER_PUB.Line_Val_Tbl_Type;
	x_Line_Adj_tbl                  OE_ORDER_PUB.Line_Adj_Tbl_Type;
	x_Line_Adj_val_tbl              OE_ORDER_PUB.Line_Adj_Val_Tbl_Type;
	x_Line_price_Att_tbl            OE_ORDER_PUB.Line_Price_Att_Tbl_Type;
	x_Line_Adj_Att_tbl              OE_ORDER_PUB.Line_Adj_Att_Tbl_Type;
	x_Line_Adj_Assoc_tbl            OE_ORDER_PUB.Line_Adj_Assoc_Tbl_Type;
	x_Line_Scredit_tbl              OE_ORDER_PUB.Line_Scredit_Tbl_Type;
	x_Line_Scredit_val_tbl          OE_ORDER_PUB.Line_Scredit_Val_Tbl_Type;
	x_Lot_Serial_tbl                OE_ORDER_PUB.Lot_Serial_Tbl_Type;
	x_Lot_Serial_val_tbl            OE_ORDER_PUB.Lot_Serial_Val_Tbl_Type;
	x_action_request_tbl	        OE_ORDER_PUB.Request_Tbl_Type;
	icount				NUMBER :=0;
 	

	
BEGIN
	
	fnd_global.apps_initialize(1318,22480,660,0);
	fnd_client_info.set_org_context(204);
	
	

	SELECT OE_ORDER_HEADERS_S.NEXTVAL INTO p_header_rec.header_id FROM DUAL;
	dbms_output.put_line('Header ID		= '|| p_header_rec.header_id);

	p_api_version_number := 1;
------------------------------------------header code-----------------------------------------------------------------------
	
	
	
	
				
	/*		
		p_header_rec.order_type_id		:= 1437;		--1000;	 standard
		p_header_rec.sold_to_org_id		:= 1290;
		p_header_rec.ship_to_org_id		:= 1425;
		p_header_rec.transactional_curr_code	:= 'USD';
		p_header_rec.order_source_id		:=  1023; 
		p_header_rec.org_id			:= 204;
		p_header_rec.ship_from_org_id		:= 204;
		p_header_rec.payment_term_id		:= 4;		-- 30 Net	
	*/
		p_header_rec.order_type_id		:= arg_in_p_header_rec.order_type_id;	
		p_header_rec.sold_to_org_id		:= arg_in_p_header_rec.sold_to_org_id;	
		p_header_rec.ship_to_org_id		:= arg_in_p_header_rec.ship_to_org_id;
		p_header_rec.transactional_curr_code:='USD';--arg_in_p_header_rec.transactional_curr_code;
		p_header_rec.order_source_id		:= arg_in_p_header_rec.order_source_id;
		p_header_rec.org_id			:= arg_in_p_header_rec.org_id;
		p_header_rec.ship_from_org_id		:= arg_in_p_header_rec.ship_from_org_id;
		p_header_rec.payment_term_id 		:= arg_in_p_header_rec.payment_term_id;		
	
		
		p_header_rec.price_list_id		:= 1000;
		p_header_rec.freight_terms_code		:= 'Due';	-- Prepay and Add	
		p_header_rec.operation			:= OE_GLOBALS.G_OPR_CREATE;
		p_header_rec.pricing_date		:= SYSDATE;
		p_header_rec.creation_date		:= SYSDATE;
		p_header_rec.booked_flag		:= 'N';	
		p_header_rec.created_by			:= 1318;
		p_header_rec.last_updated_by		:= 1318;
		p_header_rec.last_update_date		:= SYSDATE;
		p_header_rec.invoice_to_org_id		:= 1424;
		p_header_rec.version_number		:= 1;
		p_header_rec.open_flag			:= 'Y';
		p_header_rec.ordered_date		:= SYSDATE;
		p_header_rec.flow_status_code		:= 'ENTERED';
		p_header_rec.tax_exempt_flag		:= 'S';
		p_header_rec.salesrep_id		:= -3;
		

		
		

-----------------------------------------------------------------------------------------------------------------


--------------------------------------------LINES CODE------------------------------------------------------------


	

	icount  := 0;

	for   icount in 1 .. arg_in_p_line_tbl.count loop
		
		
		SELECT OE_ORDER_LINES_S.NEXTVAL INTO p_line_tbl(icount).line_id FROM DUAL;
		dbms_output.put_line('Line ID			= '|| p_line_tbl(icount).line_id);
	/*	
		p_line_tbl(icount).inventory_item_id		:= 2636	;
		p_line_tbl(icount).ordered_quantity		:= 1;
		p_line_tbl(icount).pricing_quantity		:= 1;	
		p_line_tbl(icount).line_type_id			:= 1427;
		p_line_tbl(icount).line_number			:= icount;
		p_line_tbl(icount).shipment_number		:= 1;
		p_line_tbl(icount).ship_to_org_id		:= 1425;
		p_line_tbl(icount).sold_to_org_id		:= 1290;
		p_line_tbl(icount).salesrep_id		:= -3;	
	*/
	p_line_tbl(icount).inventory_item_id		:= arg_in_p_line_tbl(icount).inventory_item_id;
	p_line_tbl(icount).ordered_quantity		:= arg_in_p_line_tbl(icount).ordered_quantity;
	p_line_tbl(icount).pricing_quantity		:= arg_in_p_line_tbl(icount).pricing_quantity;
	p_line_tbl(icount).line_type_id			:= arg_in_p_line_tbl(icount).line_type_id;
	p_line_tbl(icount).line_number		        := icount;
	p_line_tbl(icount).shipment_number		:= arg_in_p_line_tbl(icount).shipment_number;
	p_line_tbl(icount).ship_to_org_id		:= arg_in_p_line_tbl(icount).ship_to_org_id;
	p_line_tbl(icount).sold_to_org_id		:= arg_in_p_line_tbl(icount).sold_to_org_id;
	p_line_tbl(icount).salesrep_id		        := arg_in_p_line_tbl(icount).salesrep_id;
	p_line_tbl(icount).payment_term_id		:= arg_in_p_line_tbl(icount).payment_term_id;
	

		p_line_tbl(icount).price_list_id		:= 1000;
		p_line_tbl(icount).operation			:= OE_GLOBALS.G_OPR_CREATE;
  		p_line_tbl(icount).open_flag			:= 'Y';
		p_line_tbl(icount).booked_flag			:= 'N';
		p_line_tbl(icount).header_id			:= p_header_rec.header_id;
		p_line_tbl(icount).line_category_code		:= 'ORDER';
		p_line_tbl(icount).order_quantity_uom		:='Ea';
		p_line_tbl(icount).request_date			:= SYSDATE;
		p_line_tbl(icount).schedule_ship_date		:= SYSDATE;
		p_line_tbl(icount).ship_from_org_id		:= 204;	
		p_line_tbl(icount).flow_status_code		:= 'ENTERED';	
		p_line_tbl(icount).ship_to_customer_id		:= 1290;
		p_line_tbl(icount).invoice_to_org_id		:= 1424;
		p_line_tbl(icount).tax_exempt_flag		:= 'S';
		p_line_tbl(icount).tax_date			:= '02-Mar-2005'; 
		p_line_tbl(icount).tax_code			:= 'Location';

		
	
	
		SELECT OE_PRICE_ADJUSTMENTS_S.NEXTVAL INTO p_Line_Adj_tbl(icount).price_adjustment_id FROM DUAL;
		dbms_output.put_line('Price Adjustment ID	= '|| p_Line_Adj_tbl(icount).price_adjustment_id);
	
		p_Line_Adj_tbl(icount).created_by		:= 1318;
		p_Line_Adj_tbl(icount).header_id		:= p_header_rec.header_id;
		p_Line_Adj_tbl(icount).line_id			:= p_line_tbl(icount).line_id;
		p_Line_Adj_tbl(icount).percent			:= 10;
		p_Line_Adj_tbl(icount).operation		:= OE_GLOBALS.G_OPR_CREATE;  
		p_Line_Adj_tbl(icount).list_header_id		:= 8988;
		p_Line_Adj_tbl(icount).list_line_id		:= 16596; 
		p_Line_Adj_tbl(icount).list_line_type_code	:= 'DIS';
		p_Line_Adj_tbl(icount).arithmetic_operator	:= 'AMT';
		p_Line_Adj_tbl(icount).updated_flag		:= 'Y';
		p_Line_Adj_tbl(icount).update_allowed		:= 'Y';
		p_Line_Adj_tbl(icount).applied_flag		:= 'Y';
		p_Line_Adj_tbl(icount).automatic_flag		:= 'N';
		p_Line_Adj_tbl(icount).OPERAND			:= 10;




	end loop;

	
-----------------------------------------------------------------------------------------------------------------

	oe_msg_pub.initialize;
	
	oe_order_pub.process_order
		(   p_api_version_number            => 	p_api_version_number
		,   p_init_msg_list                 => 	FND_API.G_FALSE
		,   p_return_values                 => 	FND_API.G_FALSE
		,   p_action_commit                 => 	FND_API.G_FALSE
		,   x_return_status                 => 	x_return_status             
		,   x_msg_count                     => 	x_msg_count                 
		,   x_msg_data                      => 	x_msg_data                  
		,   p_header_rec                    =>	p_header_rec                						
		,   p_old_header_rec                =>	p_old_header_rec            						
		,   p_header_val_rec                =>	p_header_val_rec            						
		,   p_old_header_val_rec            =>	p_old_header_val_rec        						
		,   p_Header_Adj_tbl                =>	p_Header_Adj_tbl            						
		,   p_old_Header_Adj_tbl            =>	p_old_Header_Adj_tbl        						
		,   p_Header_Adj_val_tbl            =>	p_Header_Adj_val_tbl        						
		,   p_old_Header_Adj_val_tbl        =>	p_old_Header_Adj_val_tbl    						
		,   p_Header_price_Att_tbl          =>	p_Header_price_Att_tbl      						
		,   p_old_Header_Price_Att_tbl      =>	p_old_Header_Price_Att_tbl  						
		,   p_Header_Adj_Att_tbl            =>	p_Header_Adj_Att_tbl        						
		,   p_old_Header_Adj_Att_tbl        => 	p_old_Header_Adj_Att_tbl    
		,   p_Header_Adj_Assoc_tbl          =>	p_Header_Adj_Assoc_tbl      						
		,   p_old_Header_Adj_Assoc_tbl      => 	p_old_Header_Adj_Assoc_tbl  
		,   p_Header_Scredit_tbl            =>	p_Header_Scredit_tbl        						
		,   p_old_Header_Scredit_tbl        =>	p_old_Header_Scredit_tbl    						
		,   p_Header_Scredit_val_tbl        =>	p_Header_Scredit_val_tbl    						
		,   p_old_Header_Scredit_val_tbl    =>	p_old_Header_Scredit_val_tbl						
		,   p_line_tbl                      =>	p_line_tbl                  						
		,   p_old_line_tbl                  =>	p_old_line_tbl              						
		,   p_line_val_tbl                  =>	p_line_val_tbl              						
		,   p_old_line_val_tbl              =>	p_old_line_val_tbl          						
		,   p_Line_Adj_tbl                  =>	p_Line_Adj_tbl              						
		,   p_old_Line_Adj_tbl              =>	p_old_Line_Adj_tbl          						
		,   p_Line_Adj_val_tbl              =>	p_Line_Adj_val_tbl          						
		,   p_old_Line_Adj_val_tbl          =>	p_old_Line_Adj_val_tbl      						
		,   p_Line_price_Att_tbl            =>	p_Line_price_Att_tbl        						
		,   p_old_Line_Price_Att_tbl        =>	p_old_Line_Price_Att_tbl    						
		,   p_Line_Adj_Att_tbl              =>	p_Line_Adj_Att_tbl          						
		,   p_old_Line_Adj_Att_tbl          => 	p_old_Line_Adj_Att_tbl      
		,   p_Line_Adj_Assoc_tbl            =>	p_Line_Adj_Assoc_tbl        					
		,   p_old_Line_Adj_Assoc_tbl        => 	p_old_Line_Adj_Assoc_tbl    
		,   p_Line_Scredit_tbl              =>	p_Line_Scredit_tbl          						
		,   p_old_Line_Scredit_tbl          =>	p_old_Line_Scredit_tbl      						
		,   p_Line_Scredit_val_tbl          =>	p_Line_Scredit_val_tbl      						
		,   p_old_Line_Scredit_val_tbl      =>	p_old_Line_Scredit_val_tbl  						
		,   p_Lot_Serial_tbl                =>	p_Lot_Serial_tbl            						
		,   p_old_Lot_Serial_tbl            =>	p_old_Lot_Serial_tbl        						
		,   p_Lot_Serial_val_tbl            =>	p_Lot_Serial_val_tbl        						
		,   p_old_Lot_Serial_val_tbl        =>	p_old_Lot_Serial_val_tbl    						
		,   p_action_request_tbl            =>	p_action_request_tbl        						
		,   x_header_rec                    => 	x_header_rec                
		,   x_header_val_rec                => 	x_header_val_rec            
		,   x_Header_Adj_tbl                => 	x_Header_Adj_tbl            
		,   x_Header_Adj_val_tbl            => 	x_Header_Adj_val_tbl        
		,   x_Header_price_Att_tbl          => 	x_Header_price_Att_tbl      
		,   x_Header_Adj_Att_tbl            => 	x_Header_Adj_Att_tbl        
		,   x_Header_Adj_Assoc_tbl          => 	x_Header_Adj_Assoc_tbl      
		,   x_Header_Scredit_tbl            => 	x_Header_Scredit_tbl        
		,   x_Header_Scredit_val_tbl        => 	x_Header_Scredit_val_tbl    
		,   x_line_tbl                      => 	x_line_tbl                  
		,   x_line_val_tbl                  => 	x_line_val_tbl              
		,   x_Line_Adj_tbl                  => 	x_Line_Adj_tbl              
		,   x_Line_Adj_val_tbl              => 	x_Line_Adj_val_tbl          
		,   x_Line_price_Att_tbl            => 	x_Line_price_Att_tbl        
		,   x_Line_Adj_Att_tbl              => 	x_Line_Adj_Att_tbl          
		,   x_Line_Adj_Assoc_tbl            => 	x_Line_Adj_Assoc_tbl        
		,   x_Line_Scredit_tbl              => 	x_Line_Scredit_tbl          
		,   x_Line_Scredit_val_tbl          => 	x_Line_Scredit_val_tbl      
		,   x_Lot_Serial_tbl                => 	x_Lot_Serial_tbl            
		,   x_Lot_Serial_val_tbl            => 	x_Lot_Serial_val_tbl        
		,   x_action_request_tbl	    => 	x_action_request_tbl	
	);
	
		
	IF (x_return_status = FND_API.G_RET_STS_SUCCESS) THEN	        
		COMMIT;
	        dbms_output.put_line('Return Status - '|| SUBSTR (x_return_status,1,255));
		
	        dbms_output.put_line('------------------------------------');
	        dbms_output.put_line('Order Number ==== '|| x_header_rec.order_number);
	        dbms_output.put_line('------------------------------------');
		arg_out_x_return_status := x_return_status;
		arg_out_order_number		:= x_header_rec.order_number;
		arg_out_header_id		:= p_header_rec.header_id;	
		arg_out_flow_status_code	:= p_header_rec.flow_status_code;
				
	ELSE        
		dbms_output.put_line('Return Status = '|| SUBSTR (x_return_status,1,255));
		dbms_output.put_line('Msg Count     = '|| TO_CHAR(x_msg_count));		
		dbms_output.put_line('Msg Data      = '|| SUBSTR (x_msg_data,1,255));

		IF x_msg_count >1 THEN
			FOR I IN 1..x_msg_count LOOP
				Oe_Msg_Pub.get( 
					 p_msg_index 		=> i 
					,p_encoded 		=> Fnd_Api.G_FALSE 
					,p_data 		=> v_msg_data 
					,p_msg_index_out 	=> v_msg_index_out
					); 
				DBMS_OUTPUT.PUT_LINE('v_msg_index_out '|| v_msg_index_out);
				DBMS_OUTPUT.PUT_LINE('v_msg_data '|| v_msg_data);
				
				
			END LOOP;
		END IF;
	END IF;
END;


